Latest Exchange CU require URL Rewrite 2.1 - But download site is in accessible

New Contributor

I am trying to install latest Exchange CU, but it requires URL Rewrite Module 2.1. The link for this site hangs off of https://www.iis.net/ which as of the time of this writing is giving me privacy errors. It looks like the cert was replace in early August and it doesn't match the name of the site, so all the browsers say no go. How has this been in place for over a month?!

 

Privacy error (iis.net)

2 Replies

@Jarrod_JohnstonI don't see any issues when I open the site, but perhaps they've fixed the issue before i tried

DanSnape_0-1663903051039.png

 

Thanks Dan, I was able to get access to the site the next day as well!